Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "b35ad564-e8c1-45b6-8bc0-b76d772612af",
"user_id": "90c863e1-fb3a-4a90-814a-ab30eb7b3c2a",
"user_planning_slot_type_id": "a666e6ba-814b-4062-bf9f-b89ac3ad28c3",
"date_from": "2026-10-26T16:07:48.1119295+00:00",
"date_to": "2026-10-26T16:07:48.1119295+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-26T16:07:48.1119295+00:00"
}